
\tikzset{->-/.style={decoration={
  markings,
  mark=at position #1 with {\arrow{>[length=10pt,width=10pt]}}},postaction={decorate}}
}

\newsavebox{\mycandle}
\savebox{\mycandle}{ 
\begin{tikzpicture}[scale=.2]
	\shade[top color=yellow!50!black,bottom color=red] (0,0) .. controls (1,.2) and (1,.5) .. (0,2) .. controls (-1,.5)  and  (-1,.2) .. (0,0);
	\fill[yellow!90!black] (.8,0) rectangle (-.8,-5); 
\end{tikzpicture}}
